Subject: bug#34476: fluffy whitespace in the mode-line, despite it running off the screen

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 16 Aug 2020 13:21:38 +0200

Eli Zaretskii <[email-masked]> writes:

>> > (although I'm still unhappy with doing that, as we had over the years
>> > quite a few complaints that the result is not exactly identical to the
>> > displayed mode line).
>> 
>> Perhaps that's something that can be fixed?
>
> Not easily, because the display engine uses a different environment,
> and also temporarily changes various settings as needed, something you
> cannot do in Lisp.

Hm, ok...  Are these obscure differences?  I just went through a handful
of buffers in this Emacs, and as far as I'm able to eyeball,
(insert (format-mode-line mode-line-format)) produces something that
looks identical to what's in the mode line in all the buffers.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no